Bug 710772 - Review Request: pylast - A Python interface to Last.fm API compatible social networks
Review Request: pylast - A Python interface to Last.fm API compatible social ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 710777
  Show dependency treegraph
 
Reported: 2011-06-04 13:25 EDT by Peter Lemenkov
Modified: 2011-06-15 14:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: pylast-0.5.11-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 14:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2011-06-04 13:25:58 EDT
Spec URL: http://peter.fedorapeople.org/foobnix/pylast.spec
SRPM URL: http://peter.fedorapeople.org/foobnix/pylast-0.5.11-1.fc15.src.rpm
Description: A Python interface to Last.fm API compatible social networks.

Koji scratchbuild:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3107988
Comment 1 Fabian Affolter 2011-06-05 06:52:15 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=3111947
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop021 SRPMS]$ rpmlint pylast-0.5.11-1.fc15.src.rpm
     pylast.src: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
     pylast.src: W: spelling-error %description -l en_US fm -> FM, Fm, gm
     pylast.src: E: invalid-spec-name
     1 packages and 0 specfiles checked; 1 errors, 2 warnings.
     Binary RPM(s):
     [fab@laptop021 noarch]$ rpmlint pylast-0.5.11-1.fc15.noarch.rpm 
     pylast.noarch: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
     pylast.noarch: W: spelling-error %description -l en_US fm -> FM, Fm, gm
     1 packages and 0 specfiles checked; 0 errors, 2 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct (if it's still used)
     master   : %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
     spec file: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: ASL 2.0
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 506cf1b13020b3ed2f3c845ea0c9830e
     Build source:    506cf1b13020b3ed2f3c845ea0c9830e
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [?] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [-] Package use %makeinstall only when make install DESTDIR=... doesn't work.
 [x] Package must own all directories that it creates
 [-] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [x] Spec use %global instead of %define
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [?] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 2 Peter Lemenkov 2011-06-05 07:09:03 EDT
Thanks, Fabian!

New Package SCM Request
=======================
Package Name: pylast
Short Description: A Python interface to Last.fm API compatible social networks
Owners: peter
Branches: f14 f15
InitialCC:
Comment 3 Gwyn Ciesla 2011-06-05 18:48:33 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-06-06 00:05:48 EDT
pylast-0.5.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pylast-0.5.11-1.fc15
Comment 5 Fedora Update System 2011-06-06 00:05:56 EDT
pylast-0.5.11-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pylast-0.5.11-1.fc14
Comment 6 Fedora Update System 2011-06-07 00:31:52 EDT
pylast-0.5.11-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 7 Fedora Update System 2011-06-15 14:27:07 EDT
pylast-0.5.11-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 8 Fedora Update System 2011-06-15 14:40:48 EDT
pylast-0.5.11-1.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.